Skip to Content
Cloud Database(UDB) DescribeUDBInstancePrice

Get UDB Price - DescribeUDBInstancePrice

Overview

Get UDB Instance Price Information

Definition

Public Parameters

Parameter NameTypeDescription InformationRequired
ActionstringCorresponding API command name, the current API is DescribeUDBInstancePrice.Yes
PublicKeystringThe user’s public key can be obtained from ConsoleYes
SignaturestringUser signature generated based on public key and API command, see Signature AlgorithmYes

Request Parameters

Parameter NameTypeDescription InformationRequired
RegionstringRegion. See List of Regions and Availability ZonesYes
ZonestringAvailability Zone. See Availability Zone ListYes
MemoryLimitintMemory Limit (MB), unit is MB. Currently supports: 2000-96000Yes
DiskSpaceintDisk Space (GB), temporarily supports 20 (GB) - 3000 (GB), input without unitYes
DBTypeIdstringDB version string of UDB instanceYes
CountintPurchase DB instance quantity, the maximum number is 10, the default is 1No
ChargeTypestringYear, Pay Yearly;
Month, Pay Monthly;
Dynamic, Pay as You Go (Permission Required);
Trial, Trial Version (Permission Required);
Default is Monthly Payment.
No
QuantityintHow many “Billing Time Units” to purchase for the DB, the default value is 1. For example: if you buy for 2 months, the Quantity is 2. If the billing unit is “Monthly” and the Quantity is 0, it means “Purchase until the end of the month”.No
SSDTypestringThis field has been deprecated.No
InstanceModestringThe deployment type of the instance. Optional values are: Normal: Normal single-point instance, Slave: Slave instance, HA: High availability deployment instance, the default is Normal.No
CPUintNumber of CPUs, a mandatory parameter if the db type is sqlserver.No
InstanceTypestringWhen creating high-performance instances, please use the latest SpecificationClass and StorageClass fields.
Currently, only a limited number of regions support the SATA_SSD storage type. For SATA_SSD instances, this field can be used to specify the storage type.
No
SpecificationTypeintThe type of instance computing specification, 0 or not passed means purchasing using memory method, 1 means purchasing using memory-CPU optional configuration ratio method, need to fill in MachineType.No
MachineTypestringSpecification Type ID, valid when SpecificationType is 1No
StorageClassstringStorage Type CLOUD_SSD: SSD Cloud Disk, CLOUD_RSSD: RSSD Cloud Disk, CLOUD_SSD_ESSENTIAL: SSD Essential Cloud Disk, this field combined with SpecificationClass has a higher priority than the InstanceType field.No
SpecificationClassstringSpecification Type O: NVME, OM: Shared, N: GeneralNo

Response Field

Field NameTypeDescription InformationRequired
RetCodeintReturn status code. If it is 0, it means successful return. If it is not 0, it means failure.Yes
ActionstringOperation command name.Yes
MessagestringReturns an error message, providing detailed description when RetCode is non-zero.No
DataSetarray[UDBInstancePriceSet]Price Refer to UDBInstancePriceSetNo

Data Model

UDBInstancePriceSet

Field NameTypeDescription InformationRequired
ChargeTypestringYearly, Monthly, Dynamic, TrialNo
PriceintPrice, in centsNo

Example

Request Example

https://api.nubexcloud.com/?Action=DescribeUDBInstancePrice &Region=cn-bj2 &Zone=cn-bj2-04 &Count=1 &ChargeType=Month &Quantity=12 &MemoryLimit=600 &DiskSpace=20 &DBTypeId=mysql-5.5 &InstanceType=dsztMviC &CPU=3 &InstanceType=QOajbSxZ &SpecificationType=uaqGNDue &MachineType=ENbIvUer &StorageClass=cinLFUIr &SpecificationClass=XyDTTLNH

Response Example

{ "Action": "DescribeUDBInstancePriceResponse", "DataSet": [ { "ChargeType": "Month", "Price": 1360 } ], "RetCode": 0 }